### Method

# GtkSource SpaceDrawer bind_matrix_setting

#### Declaration [src]

    void
    gtk_source_space_drawer_bind_matrix_setting (
      GtkSourceSpaceDrawer* drawer,
      GSettings* settings,
      const gchar* key,
      GSettingsBindFlags flags
    )

#### Description [src]

Binds the `GtkSourceSpaceDrawer:matrix` property to a `GSettings` key.

The `GSettings` key must be of the same type as the `GtkSourceSpaceDrawer:matrix` property, that is, `"au"`.

The `g_settings_bind()` function cannot be used, because the default GIO mapping functions don’t support `GVariant` properties (maybe it will be supported by a future GIO version, in which case this function can be deprecated).

#### Parameters

`settings`

  Type: `GSettings`

  A `GSettings` object.

  The data is owned by the caller of the method.

`key`

  Type: `const gchar*`

  The `settings` key to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GSettingsBindFlags`

  Flags for the binding.